For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Offerings

Product pricing, variants, and availability.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
regionIdstringOptional
areaIdstringOptional
statusstring[]OptionalExample: ["AVAILABLE"]
pagenumberOptionalExample: 1
ippnumberOptionalExample: 50
appAvailablebooleanOptionalExample: true
sortstringOptional

If not set, sort will be defaulted as name (ASC)

Example: -name
searchstringOptionalExample: q
salesTypestring · enumOptionalExample: PRODUCTPossible values:
subcategoryIdstringOptional
categoryIdstringOptional
productIdstringOptional
Responses
200

Returns a ProductOfferingCollection

application/json
_totalnumberRequired
get/pos/product-offerings
GET /apis/v2/pos/product-offerings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "product": {
        "id": "text"
      },
      "region": {
        "id": "text"
      },
      "area": {
        "id": "text"
      },
      "appAvailable": false,
      "applyDiscounts": false,
      "status": [
        "DRAFT"
      ],
      "sku": "text",
      "price": 1,
      "priceCompare": 1,
      "stock": 1,
      "lowStockAlert": 1,
      "taxCategory": {
        "id": "text"
      },
      "settings": {
        "id": "text",
        "cost": 1,
        "applyTaxes": true,
        "createdBy": {
          "id": "text"
        },
        "updatedBy": {
          "id": "text"
        },
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "_links": {}
      },
      "discount": {
        "amount": 1,
        "description": "text"
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRead-onlyRequired
appAvailablebooleanOptionalDefault: false
applyDiscountsbooleanOptionalDefault: false
skustringRequired
pricenumberRequired
priceComparenumberRequired
stocknumberOptional

Current stock quantity

lowStockAlertnumberOptional

Low stock alert threshold

_linksobjectRequired
Responses
201

Returns a ProductOffering

application/json
idstringRead-onlyRequired
appAvailablebooleanOptionalDefault: false
applyDiscountsbooleanOptionalDefault: false
skustringRequired
pricenumberRequired
priceComparenumberRequired
stocknumberOptional

Current stock quantity

lowStockAlertnumberOptional

Low stock alert threshold

_linksobjectRequired
post/pos/product-offerings
POST /apis/v2/pos/product-offerings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 292

{
  "product": {
    "id": "text"
  },
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "appAvailable": false,
  "applyDiscounts": false,
  "status": [
    "DRAFT"
  ],
  "sku": "text",
  "price": 1,
  "priceCompare": 1,
  "stock": 1,
  "lowStockAlert": 1,
  "taxCategory": {
    "id": "text"
  },
  "settings": {
    "cost": 1,
    "applyTaxes": true,
    "_links": {}
  },
  "_links": {}
}
{
  "id": "text",
  "product": {
    "id": "text"
  },
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "appAvailable": false,
  "applyDiscounts": false,
  "status": [
    "DRAFT"
  ],
  "sku": "text",
  "price": 1,
  "priceCompare": 1,
  "stock": 1,
  "lowStockAlert": 1,
  "taxCategory": {
    "id": "text"
  },
  "settings": {
    "id": "text",
    "cost": 1,
    "applyTaxes": true,
    "createdBy": {
      "id": "text"
    },
    "updatedBy": {
      "id": "text"
    },
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "_links": {}
  },
  "discount": {
    "amount": 1,
    "description": "text"
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
object · ProductOfferingCollectionPatchableDtoOptional
Responses
201

Returns a collection of ProductOfferingCollectionDto

application/json
_totalnumberRequired
patch/pos/product-offerings
PATCH /apis/v2/pos/product-offerings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
{
  "items": [
    {
      "id": "text",
      "product": {
        "id": "text"
      },
      "region": {
        "id": "text"
      },
      "area": {
        "id": "text"
      },
      "appAvailable": false,
      "applyDiscounts": false,
      "status": [
        "DRAFT"
      ],
      "sku": "text",
      "price": 1,
      "priceCompare": 1,
      "stock": 1,
      "lowStockAlert": 1,
      "taxCategory": {
        "id": "text"
      },
      "settings": {
        "id": "text",
        "cost": 1,
        "applyTaxes": true,
        "createdBy": {
          "id": "text"
        },
        "updatedBy": {
          "id": "text"
        },
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "_links": {}
      },
      "discount": {
        "amount": 1,
        "description": "text"
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
areaIdstringOptional
salesTypestring · enumOptionalExample: PRODUCTPossible values:
Responses
200

Returns a ProductOfferingCollection

application/json
_totalnumberRequired
get/pos/product-offerings/feed
GET /apis/v2/pos/product-offerings/feed HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "product": {
        "id": "text"
      },
      "region": {
        "id": "text"
      },
      "area": {
        "id": "text"
      },
      "appAvailable": false,
      "applyDiscounts": false,
      "status": [
        "DRAFT"
      ],
      "sku": "text",
      "price": 1,
      "priceCompare": 1,
      "stock": 1,
      "lowStockAlert": 1,
      "taxCategory": {
        "id": "text"
      },
      "settings": {
        "id": "text",
        "cost": 1,
        "applyTaxes": true,
        "createdBy": {
          "id": "text"
        },
        "updatedBy": {
          "id": "text"
        },
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "_links": {}
      },
      "discount": {
        "amount": 1,
        "description": "text"
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productOfferingIdstringRequired
Responses
200

Returns a ProductOfferingSettings

application/json
idstringRead-onlyRequired
costnumberOptional
applyTaxesbooleanRequired

A parameter to apply taxes or not

createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
_linksobjectRequired
get/pos/product-offerings/{productOfferingId}/settings
GET /apis/v2/pos/product-offerings/{productOfferingId}/settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "cost": 1,
  "applyTaxes": true,
  "createdBy": {
    "id": "text"
  },
  "updatedBy": {
    "id": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productOfferingIdstringRequired
Responses
200

Returns a ProductOffering

application/json
idstringRead-onlyRequired
appAvailablebooleanOptionalDefault: false
applyDiscountsbooleanOptionalDefault: false
skustringRequired
pricenumberRequired
priceComparenumberRequired
stocknumberOptional

Current stock quantity

lowStockAlertnumberOptional

Low stock alert threshold

_linksobjectRequired
get/pos/product-offerings/{productOfferingId}
GET /apis/v2/pos/product-offerings/{productOfferingId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "product": {
    "id": "text"
  },
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "appAvailable": false,
  "applyDiscounts": false,
  "status": [
    "DRAFT"
  ],
  "sku": "text",
  "price": 1,
  "priceCompare": 1,
  "stock": 1,
  "lowStockAlert": 1,
  "taxCategory": {
    "id": "text"
  },
  "settings": {
    "id": "text",
    "cost": 1,
    "applyTaxes": true,
    "createdBy": {
      "id": "text"
    },
    "updatedBy": {
      "id": "text"
    },
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "_links": {}
  },
  "discount": {
    "amount": 1,
    "description": "text"
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productOfferingIdstringRequired
Responses
200

Product Offering deleted successfully

application/json
idstringRead-onlyRequired
appAvailablebooleanOptionalDefault: false
applyDiscountsbooleanOptionalDefault: false
skustringRequired
pricenumberRequired
priceComparenumberRequired
stocknumberOptional

Current stock quantity

lowStockAlertnumberOptional

Low stock alert threshold

_linksobjectRequired
delete/pos/product-offerings/{productOfferingId}
DELETE /apis/v2/pos/product-offerings/{productOfferingId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "product": {
    "id": "text"
  },
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "appAvailable": false,
  "applyDiscounts": false,
  "status": [
    "DRAFT"
  ],
  "sku": "text",
  "price": 1,
  "priceCompare": 1,
  "stock": 1,
  "lowStockAlert": 1,
  "taxCategory": {
    "id": "text"
  },
  "settings": {
    "id": "text",
    "cost": 1,
    "applyTaxes": true,
    "createdBy": {
      "id": "text"
    },
    "updatedBy": {
      "id": "text"
    },
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "_links": {}
  },
  "discount": {
    "amount": 1,
    "description": "text"
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productOfferingIdstringRequired
Body
idstringRead-onlyRequired
appAvailablebooleanOptionalDefault: false
applyDiscountsbooleanOptionalDefault: false
skustringRequired
pricenumberRequired
priceComparenumberRequired
stocknumberOptional

Current stock quantity

lowStockAlertnumberOptional

Low stock alert threshold

_linksobjectRequired
Responses
200

Returns a ProductOffering

application/json
idstringRead-onlyRequired
appAvailablebooleanOptionalDefault: false
applyDiscountsbooleanOptionalDefault: false
skustringRequired
pricenumberRequired
priceComparenumberRequired
stocknumberOptional

Current stock quantity

lowStockAlertnumberOptional

Low stock alert threshold

_linksobjectRequired
patch/pos/product-offerings/{productOfferingId}
PATCH /apis/v2/pos/product-offerings/{productOfferingId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 292

{
  "product": {
    "id": "text"
  },
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "appAvailable": false,
  "applyDiscounts": false,
  "status": [
    "DRAFT"
  ],
  "sku": "text",
  "price": 1,
  "priceCompare": 1,
  "stock": 1,
  "lowStockAlert": 1,
  "taxCategory": {
    "id": "text"
  },
  "settings": {
    "cost": 1,
    "applyTaxes": true,
    "_links": {}
  },
  "_links": {}
}
{
  "id": "text",
  "product": {
    "id": "text"
  },
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "appAvailable": false,
  "applyDiscounts": false,
  "status": [
    "DRAFT"
  ],
  "sku": "text",
  "price": 1,
  "priceCompare": 1,
  "stock": 1,
  "lowStockAlert": 1,
  "taxCategory": {
    "id": "text"
  },
  "settings": {
    "id": "text",
    "cost": 1,
    "applyTaxes": true,
    "createdBy": {
      "id": "text"
    },
    "updatedBy": {
      "id": "text"
    },
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "_links": {}
  },
  "discount": {
    "amount": 1,
    "description": "text"
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
itemsstring[]Required

The array containing the elements of the collection

_totalnumberOptional

The total amount of elements in this collection, counting also the elements from the succesive pages

Responses
200

Returns a collection of ProductOfferingCollectionDto

application/json
_totalnumberRequired
post/pos/product-offerings/bulk-delete
POST /apis/v2/pos/product-offerings/bulk-delete HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "items": [
    "text"
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
{
  "items": [
    {
      "id": "text",
      "product": {
        "id": "text"
      },
      "region": {
        "id": "text"
      },
      "area": {
        "id": "text"
      },
      "appAvailable": false,
      "applyDiscounts": false,
      "status": [
        "DRAFT"
      ],
      "sku": "text",
      "price": 1,
      "priceCompare": 1,
      "stock": 1,
      "lowStockAlert": 1,
      "taxCategory": {
        "id": "text"
      },
      "settings": {
        "id": "text",
        "cost": 1,
        "applyTaxes": true,
        "createdBy": {
          "id": "text"
        },
        "updatedBy": {
          "id": "text"
        },
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "_links": {}
      },
      "discount": {
        "amount": 1,
        "description": "text"
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productOfferingIdstringRequiredExample: 123e4567-e89b-12d3-a456-426614174000
stockTransactionIdstringRequiredExample: 123e4567-e89b-12d3-a456-426614174000
Responses
200

Returns a ProductOfferingStockTransaction

application/json
idstringRead-onlyRequired
createdAtstring · date-timeRead-onlyRequired
typestring · enumRequiredPossible values:
quantitynumberRequired
quantityAfternumberRead-onlyRequired
sourcestring · enumRead-onlyRequiredPossible values:
reasonstringRequired
_linksobjectRequired
get/pos/product-offerings/{productOfferingId}/stock-transactions/{stockTransactionId}
GET /apis/v2/pos/product-offerings/{productOfferingId}/stock-transactions/{stockTransactionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "productOffering": {
    "id": "text"
  },
  "order": {
    "id": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "type": "IN",
  "quantity": 1,
  "quantityAfter": 1,
  "source": "INITIAL_STOCK",
  "reason": "text",
  "updatedBy": {
    "id": "text"
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productOfferingIdstringRequiredExample: 123e4567-e89b-12d3-a456-426614174000
Query parameters
pagenumberOptionalExample: 1
ippnumberOptionalExample: 30
Responses
200

Returns a ProductOfferingStockTransactionsCollection

application/json
_totalnumberRequiredDeprecated
get/pos/product-offerings/{productOfferingId}/stock-transactions
GET /apis/v2/pos/product-offerings/{productOfferingId}/stock-transactions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "productOffering": {
        "id": "text"
      },
      "order": {
        "id": "text"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "type": "IN",
      "quantity": 1,
      "quantityAfter": 1,
      "source": "INITIAL_STOCK",
      "reason": "text",
      "updatedBy": {
        "id": "text"
      },
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productOfferingIdstringRequiredExample: 123e4567-e89b-12d3-a456-426614174000
Body
idstringRead-onlyRequired
createdAtstring · date-timeRead-onlyRequired
typestring · enumRequiredPossible values:
quantitynumberRequired
quantityAfternumberRead-onlyRequired
sourcestring · enumRead-onlyRequiredPossible values:
reasonstringRequired
_linksobjectRequired
Responses
201

Returns a ProductOfferingStockTransaction

application/json
idstringRead-onlyRequired
createdAtstring · date-timeRead-onlyRequired
typestring · enumRequiredPossible values:
quantitynumberRequired
quantityAfternumberRead-onlyRequired
sourcestring · enumRead-onlyRequiredPossible values:
reasonstringRequired
_linksobjectRequired
post/pos/product-offerings/{productOfferingId}/stock-transactions
POST /apis/v2/pos/product-offerings/{productOfferingId}/stock-transactions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "type": "IN",
  "quantity": 1,
  "reason": "text",
  "_links": {}
}
{
  "id": "text",
  "productOffering": {
    "id": "text"
  },
  "order": {
    "id": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "type": "IN",
  "quantity": 1,
  "quantityAfter": 1,
  "source": "INITIAL_STOCK",
  "reason": "text",
  "updatedBy": {
    "id": "text"
  },
  "_links": {}
}

Last updated

Was this helpful?